summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/mkefi-agl.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/scripts/mkefi-agl.sh b/scripts/mkefi-agl.sh
index 43a0c3e7f..f2480e2e3 100755
--- a/scripts/mkefi-agl.sh
+++ b/scripts/mkefi-agl.sh
@@ -415,10 +415,14 @@ if [ -f $HDDIMG_MNT/vmlinuz ]; then
debug "kernel is vmlinuz"
fi
if [ -f $HDDIMG_MNT/bzimage ]; then
- cp $HDDIMG_MNT/bzimage $BOOTFS_MNT 1>&3 2>&1 || die "Failed to copy vmlinuz"
+ cp $HDDIMG_MNT/bzimage $BOOTFS_MNT 1>&3 2>&1 || die "Failed to copy bzimage"
KERNEL_TYPE="BZIMAGE"
debug "kernel is bzimage"
fi
+if [ -f $HDDIMG_MNT/microcode.cpio ]; then
+ cp $HDDIMG_MNT/microcode.cpio $BOOTFS_MNT 1>&3 2>&1 || die "Failed to copy microcode.cpio"
+ debug "microcode.cpio copied"
+fi
[ -z $KERNEL_TYPE ] && die "Linux kernel type in $HDDIMG is unsupported"
if [ -f $HDDIMG_MNT/initrd ]